﻿@{ Layout = "~/Views/Shared/_BlankLayout.cshtml"; }
@using (Html.BeginForm("", "MasterSourceList", FormMethod.Post))
{
    <div>
        <table>
            <tr>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Part No";
                    }).GetHtml()
                </td>
                <td style="width:10px"></td>
                <td>
                    @Html.DevExpress().TextBox(
                        settings => {
                            settings.Name = "txtPartNo_E";
                            settings.Width = 150;
                            settings.Properties.MaxLength = 25;
                            settings.ReadOnly = true;
                        }
                    ).Bind(ViewData["SettxtPartNo_E"]).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="padding:5px"></td>
            </tr> 
            <tr>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Plant Code";
                    }).GetHtml()
                </td>
                <td style="width:10px"></td>
                <td>
                    @Html.DevExpress().TextBox(
                        settings => {
                            settings.Name = "txtPlantCode_E";
                            settings.Width = 150;
                            settings.Properties.MaxLength = 4;
                            settings.ReadOnly = true;
                        }
                    ).Bind(ViewData["SettxtPlantCode_E"]).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="padding:5px"></td>
            </tr> 
            <tr>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Sloc Code";
                    }).GetHtml()
                </td>
                <td style="width:10px"></td>
                <td>
                    @Html.DevExpress().TextBox(
                        settings => {
                            settings.Name = "txtSlocCode_E";
                            settings.Width = 150;
                            settings.Properties.MaxLength = 6;
                            settings.ReadOnly = true;
                        }
                    ).Bind(ViewData["SettxtSlocCode_E"]).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="padding:5px"></td>
            </tr> 
            <tr>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Line Code";
                    }).GetHtml()
                </td>
                <td style="width:10px"></td>
                <td>
                    @Html.DevExpress().TextBox(
                        settings => {
                            settings.Name = "txtLineCode_E";
                            settings.Width = 150;
                            settings.Properties.MaxLength = 6;
                            settings.ReadOnly = true;
                        }
                    ).Bind(ViewData["SettxtLineCode_E"]).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="padding:5px"></td>
            </tr> 
            <tr>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Valid From";
                    }).GetHtml()
                </td>
                <td style="width:10px"></td>
                <td>
                     @Html.DevExpress().DateEdit( 
                        SetDate =>
                        {
                            SetDate.Name = "dtValidFrom_E";
                            SetDate.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                            SetDate.Properties.ValidationSettings.ErrorText = "";
                            SetDate.Properties.DisplayFormatInEditMode = true;
                            SetDate.Properties.DisplayFormatString = "dd-MM-yyyy";
                            SetDate.Properties.EditFormatString = "dd-MM-yyyy";
                            SetDate.Width = 150;
                        }).Bind(ViewData["SettxtValidFrom_E"]).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="padding:5px"></td>
            </tr> 
            <tr>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Valid To";
                    }).GetHtml()
                </td>
                <td style="width:10px"></td>
                <td>
                     @Html.DevExpress().DateEdit( 
                        SetDate =>
                        {
                            SetDate.Name = "dtValidTo_E";
                            SetDate.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                            SetDate.Properties.ValidationSettings.ErrorText = "";
                            SetDate.Properties.DisplayFormatInEditMode = true;
                            SetDate.Properties.DisplayFormatString = "dd-MM-yyyy";
                            SetDate.Properties.EditFormatString = "dd-MM-yyyy";
                            SetDate.Width = 150;
                        }).Bind(ViewData["SettxtValidTo_E"]).GetHtml()
                </td>
            </tr>
            <tr>
                <td colspan="7" style="padding:5px"><hr /></td>
            </tr> 
            <tr>
                <td colspan="4"></td>
                <td>
                    @Html.DevExpress().Button(
                        settings => {
                            settings.Name = "btnEditData";
                            settings.Text = "Save";
                            settings.Width = 70;
                            settings.Height = 25;
                            settings.ClientSideEvents.Click = "EditData";
                            settings.Style.Add("display", "inline-table");
                        }
                    ).GetHtml()
                </td>
                <td style="width:10px"></td>
                <td>
                    @Html.DevExpress().Button(
                        settings => {
                            settings.Name = "btnCloseFormEdit";
                            settings.Text = "Close";
                            settings.Width = 70;
                            settings.Height = 25;
                            settings.ClientSideEvents.Click = "CloseFormEdit";
                            settings.Style.Add("display", "inline-table");
                        }
                    ).GetHtml()
                </td>
            </tr>
        </table>
    </div>
}